<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Upgrading Cacti Under FreeBSD</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <style type="text/css">
a.sourceLine { display: inline-block; line-height: 1.25; }
a.sourceLine { pointer-events: none; color: inherit; text-decoration: inherit; }
a.sourceLine:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode { white-space: pre; position: relative; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
code.sourceCode { white-space: pre-wrap; }
a.sourceLine { text-indent: -1em; padding-left: 1em; }
}
pre.numberSource a.sourceLine
  { position: relative; left: -4em; }
pre.numberSource a.sourceLine::before
  { content: attr(title);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; pointer-events: all; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {  }
@media screen {
a.sourceLine::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="upgrading-cacti-under-freebsd">Upgrading Cacti Under FreeBSD</h1>
<ol>
<li><p>Backup the old Cacti database.</p>
<div class="sourceCode" id="cb1"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb1-1" title="1"><span class="ex">shell</span><span class="op">&gt;</span> mysqldump -l --add-drop-table --lock-tables=false cacti <span class="op">&gt;</span> mysql.cacti</a></code></pre></div>
<blockquote>
<p><strong>Note:</strong> You will probably have to specify the -u and -p flags for the MySQL username and password. This user must have permission to read from Cacti's database or you will end up with an empty backup.</p>
</blockquote></li>
<li><p>Backup the old Cacti directory.</p>
<div class="sourceCode" id="cb2"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb2-1" title="1"><span class="ex">shell</span><span class="op">&gt;</span> cd /usr/local/share</a>
<a class="sourceLine" id="cb2-2" title="2"><span class="ex">shell</span><span class="op">&gt;</span> tar -zcf cacti_backup_YYYYMMDD.tgz cacti</a></code></pre></div></li>
<li><p>Install new version from compiled packages or FreeBSD ports.</p>
<div class="sourceCode" id="cb3"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb3-1" title="1"><span class="ex">shell</span><span class="op">&gt;</span> pkg delete cacti</a>
<a class="sourceLine" id="cb3-2" title="2"><span class="ex">shell</span><span class="op">&gt;</span> pkg install cacti</a></code></pre></div>
<p>or</p>
<div class="sourceCode" id="cb4"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb4-1" title="1"><span class="ex">shell</span><span class="op">&gt;</span> portsnap fetch update</a>
<a class="sourceLine" id="cb4-2" title="2"><span class="ex">shell</span><span class="op">&gt;</span> cd /usr/ports/net-mgmt/cacti</a>
<a class="sourceLine" id="cb4-3" title="3"><span class="ex">shell</span><span class="op">&gt;</span> make deinstall clean install</a></code></pre></div></li>
<li><p>If you are using the optional feature Performance -&gt; Image Caching, also recreate the folder and correct the permissions.</p>
<div class="sourceCode" id="cb5"><pre class="sourceCode sh"><code class="sourceCode bash"><a class="sourceLine" id="cb5-1" title="1"><span class="ex">shell</span><span class="op">&gt;</span> mkdir cache</a>
<a class="sourceLine" id="cb5-2" title="2"><span class="ex">shell</span><span class="op">&gt;</span> chown -R cacti cache</a></code></pre></div></li>
<li><p>Point your web browser to:</p>
<p><code>http://your-server/cacti/</code></p>
<p>Follow the on-screen instructions so your database can be updated to the new version.</p></li>
</ol>
<blockquote>
<p>Note that starting with Cacti 1.0, all <strong>Data Collectors</strong> will upgrade themselves automatically within two polling cycles. If for some reason they do not, upgrade them one at a time.</p>
</blockquote>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
